Subject: Looking for advice on building floating plant habs for waterfowl

From: [email-masked] (ted andresen)
Date: 6 Jul 1996 14:11:46 GMT

I experiment with building floating nest boxes and plant islands for the
waterfowl that live in urban lakes.  I would like to build a floating
aquatic plant bed.  If you have ever seen such a man-made structure or if
you know of anyone who may have built or use one, I would like to find out
about it.

Sincerely yours,

Ted Andresen
813-526-6440
St.  Petersburg, FL

alternate email: [email-masked]